Package Halberd :: Module crew :: Class Manager |
[show private | hide private]
[frames | no frames]

## Type Manager

    object --+
             |
      _Verbose --+
                 |
            Thread --+
                     |
           BaseScanner --+
                         |
                        Manager

Performs management tasks during the scan.

Method Summary
| ``process`(self)` Controls the whole scanning process.
| ``showStats`(self)` Displays certain statistics while the scan is happening.
Inherited from BaseScanner
| ``__init__`(self, state, scantask)` Initializes the scanning thread.
`bool` | ``hasExpired`(self)` Expiration predicate.
`int` | ``remaining`(self, end)` Seconds left until a given point in time.
| ``run`(self)` Perform the scan.
`float` | ``setTimeout`(self, secs)` Compute an expiration time.
Inherited from Thread
| ``__repr__`(self)`
| ``getName`(self)`
| ``isAlive`(self)`
| ``isDaemon`(self)`
| ``join`(self, timeout)`
| ``setDaemon`(self, daemonic)`
| ``setName`(self, name)`
| ``start`(self)`
| ``_set_daemon`(self)`
Inherited from _Verbose
| ``_note`(self, format, *args)`
Inherited from object
| ``__delattr__`(...)` x.__delattr__('name') <==> del x.name
| ``__getattribute__`(...)` x.__getattribute__('name') <==> x.name
| ``__hash__`(x)` x.__hash__() <==> hash(x)
| ``__new__`(T, S, ...)` T.__new__(S, ...) -> a new object with type S, a subtype of T
| ``__reduce__`(...)` helper for pickle
| ``__reduce_ex__`(...)` helper for pickle
| ``__setattr__`(...)` x.__setattr__('name', value) <==> x.name = value
| ``__str__`(x)` x.__str__() <==> str(x)

Instance Variable Summary
Inherited from BaseScanner
`float` | `timeout`: Time (in seconds since the UNIX Epoch) when the scan will be stopped.

Class Variable Summary
`float` | `refresh_interval` = 0.25
Inherited from Thread
`bool` | `_Thread__initialized` = `False`

Method Details

### process(self) Controls the whole scanning process. This method checks when the timeout has expired and notifies the rest of the scanning threads that they should stop. It also displays (in case the user asked for it) detailed information regarding the process. Overrides: `Halberd.crew.BaseScanner.process`

### showStats(self) Displays certain statistics while the scan is happening.

Class Variable Details

    ### refresh_interval Type: `float` Value:
        0.25

Generated by Epydoc 2.1 on Wed Jul 18 22:25:57 2007 | http://epydoc.sf.net